ampdbfs
Prev | Orchestra Opcodes and Operators | Next

## ampdbfs

ampdbfs — Returns the amplitude equivalent (in 16-bit signed integer scale) of the full scale decibel (dB FS) value x.

## Description

Returns the amplitude equivalent of the full scale decibel (dB FS) value x. The logarithmic full scale decibel values will be converted to linear 16-bit signed integer values from −32,768 to +32,767.

## Syntax

    ampdbfs(x)  (no rate restriction)

## Examples

Here is an example of the ampdbfs opcode. It uses the file ampdbfs.csd.

Example 40. Example of the ampdbfs opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o ampdbfs.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      idb = -1
      iamp = ampdbfs(idb)

      print iamp
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  iamp = 29203.621

## See Also

ampdb, dbamp, dbfsamp, 0dbfs

## Credits

Example written by Kevin Conder.

New is Csound version 4.10.

Prev | Up | Next
ampdb | Home | ampmidi